# Generated by Django 4.1.2 on 2022-10-26 22:14

import uuid

from django.db import migrations, models
import django.db.models.deletion

from django_finances.fields import UUID4Field
from django_finances.settings import Settings


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('transactions', '0001_initial'),
    ] if Settings.TRANSACTION_ENABLED else [
        ('django_finances', '0001_initial')
    ]

    operations = [
        migrations.CreateModel(
            name='Payment',
            fields=[
                ('id', UUID4Field(default=uuid.uuid4, editable=False, primary_key=True, serialize=False, verbose_name='ID') if Settings.USE_UUID else models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='created at')),
                ('updated_at', models.DateTimeField(auto_now=True, verbose_name='updated at')),
                ('status', models.CharField(choices=[('OPEN', 'Open'), ('PENDING', 'Pending'), ('AUTHORIZED', 'Authorized'), ('COMPLETED', 'Completed'), ('CANCELED', 'Cancelled'), ('EXPIRED', 'Expired'), ('FAILED', 'Failed')], default='OPEN', max_length=15, verbose_name='status')),
            ] + ([
                ('transaction', models.OneToOneField(on_delete=django.db.models.deletion.PROTECT, related_name='payment', to='transactions.transaction', verbose_name='transaction')),
            ] if Settings.TRANSACTION_ENABLED else [
                ('amount', models.IntegerField(verbose_name='amount')),
                ('description', models.TextField(verbose_name='description')),
            ]),
            options={
                'verbose_name': 'payment',
                'verbose_name_plural': 'payments',
            },
        ),
    ]
